Bug 264841 - anaconda vnc install rejects too-short password late, but never asks for longer version
anaconda vnc install rejects too-short password late, but never asks for long...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 15:50 EDT by Eric Sandeen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 09:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed solution. (13.26 KB, patch)
2007-10-24 11:24 EDT, Joel Andres Granados
no flags Details | Diff
vnc.py as a class (23.08 KB, patch)
2007-10-30 09:33 EDT, Joel Andres Granados
no flags Details | Diff

  None (edit)
Description Eric Sandeen 2007-08-29 15:50:57 EDT
I installed F7 with:

linux vnc vncpassword=foo vncconnect=host:5500

from a boot.iso.  After a bit of tedious typing to find my http install source,
*then* it tells me my password is too short, must be 6 chars, and forces me to
reboot.

Grudgingly, I do so, type:

linux vnc vncpassword=foobar vncconnect=host:5500

and install is happy - so happy, in fact, that it never asks me for a password.

This could be improved a few ways I suppose: if you reject a too-short password,
could the user type a new one at that point?  If the password isn't going to be
used at all, could we not do the check at all?  And if we're going to check, can
the check be earlier in the process?

Thanks,

-Eric

(apologies for not testing this on F8... need to get this F7 box installed)
Comment 1 Eric Sandeen 2007-09-11 10:31:53 EDT
(actually, dialogs early in install to set up vnc would be nice, instead of
hiding it in a boot argument, IMHO... but that's an RFE I guess)
Comment 2 Joel Andres Granados 2007-10-24 08:48:35 EDT
Currently it is not possible to actually use a password with a connection from
the server to the host (AFAIK).  In any case, the fact that the "reverse"
connection does not ask for a password is no an anaconda bug, might want to
create a new one against vnc.  I'll fiddle with the anaconda vnc code and get it
to ask for a 6 char password if the passwd is to small.
Comment 3 Joel Andres Granados 2007-10-24 11:24:15 EDT
Created attachment 236271 [details]
proposed solution.

Im going to hold up until f9, but this is the gist of the patch.
Comment 4 Joel Andres Granados 2007-10-30 09:33:38 EDT
Created attachment 243331 [details]
vnc.py as a class

Note You need to log in before you can comment on or make changes to this bug.